cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
pfaisalbe
Explorer
Explorer
4,058 Views
Registered: ‎07-28-2010

Model sim XE or SE

Jump to solution

Hi

 

I am using ISE 10.1 (Verilog)  with Modelsim XE iii 6.3 C (free version). If the verilog lines of code are large , Modelsim is too  slow  and  also I am not sure whether it will give correct results.

 

I am thinking to buy a license for Modelsim . Also I found that Modelsim SE is much faster than XE.  If it is correct , Which version of Modelsim SE is more suitable for ISE 10.1

 

Any help would be appreciated

 

Cheers

 

Faisal

0 Kudos
1 Solution

Accepted Solutions
gszakacs
Professor
Professor
4,904 Views
Registered: ‎08-14-2007

When you run compxlib, it should generate a "modelsim.ini" file.  You should find this file

in the folder where you ran compxlib from.  You need to make a copy of this file in your

ISE project directory.  Normally if you ran compxlib from the ISE Navigator GUI, this file

would be automatically copied to the project directory.

 

HTH,

Gabor

-- Gabor

View solution in original post

0 Kudos
3 Replies
gszakacs
Professor
Professor
4,050 Views
Registered: ‎08-14-2007

ModelSim comes in a variety of flavors, including SE and PE.  You may find that

ModelSim PE is sufficient for your work and costs less than the SE edition.  To

get an idea about the speed of PE, you are basically already using it with

your XE edition, however PE will not slow down with the larger designs.

 

As far as versions go, ModelSim PE versions number the same as the XE versions

so as long as you are at least as up to date as 6.3C it will work with ISE 10.1

That being said, when you purchase a license for ModelSim, you can download

any version up to the date of your maintenance period expiration, so it probably

makes sense to use the latest version.  This would also allow you to use ModelSim

with later ISE versions without switching back and forth.  Whichever version you

choose, you will need to compile the Xilinx libraries, so it should become compatible

with ISE once you've done that.

 

HTH,

Gabor

-- Gabor
0 Kudos
pfaisalbe
Explorer
Explorer
4,033 Views
Registered: ‎07-28-2010

 Thanks


I have just migrated to modelsim SE . I am using ISE 10.1 full version.


After the installation  I have run  compxilib from the command prompt. It was successful . Also modelsim.ini is also updated.

During this process i havebeen asked to click the restart button.  I don't what it means . It isa bit strange. What I means the button next was not enabled.


However my simulation does not work. Here is the error message

Error: (vopt-19) Failed to access library 'simprims_ver' at "simprims_ver".

0 Kudos
gszakacs
Professor
Professor
4,905 Views
Registered: ‎08-14-2007

When you run compxlib, it should generate a "modelsim.ini" file.  You should find this file

in the folder where you ran compxlib from.  You need to make a copy of this file in your

ISE project directory.  Normally if you ran compxlib from the ISE Navigator GUI, this file

would be automatically copied to the project directory.

 

HTH,

Gabor

-- Gabor

View solution in original post

0 Kudos